package com.yihu.wlyy.entity.doctor.team.sign;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生分组（三师、普通签约等）表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_patient_group")
public class DoctorPatientGroup extends IdEntity {
	private static final long serialVersionUID = 2055055862188986760L;
	
	// 业务主键
	private String code;
	//组名
	private String name;	

	// 医生标识
	private String doctor;
	// 发布时间
	private Date czrq;
	// 状态，1正常，0作废
	private Integer status;
	
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	
}